import React, {Component} from 'react'
import {Redirect, Route, Router, Switch} from 'react-router-dom'
import createBrowserHistory from 'history/createBrowserHistory'
import KaraUC from '../kara-uc/index'
import httpAgent from './httpAgent'
import {Forward, Modal, Scroll} from 'karaui'
import 'karaui/lib/index.css'

export default class Frame extends Component{
  history = createBrowserHistory({
    basename: `/`
  })
  render(){
    const karaChatConfigs = {
      language: 'en',
      token: sessionStorage.token,
      apiRoot: 'https://xin-sandbox.asiainfo.com:16020/api', // https://karagw.asiainfo.com/api
      apiVersion: 'v1.0.0',
      apiForward: 'https://xin-sandbox.asiainfo.com:14503/mobileapps/kara-quan-mobileweb/topic',
      httpAgent: httpAgent(sessionStorage.token,'https://xin-sandbox.asiainfo.com:16020/api','v1.0.0'),
      karaui:{Forward, Modal, Scroll},
      user: {"accountId":"U3KM96QD6","accountName":"马子萌","accountStatus":"10","accountType":"Employee","address":"北京","autoIcon":"1","bgId":"30802","childAccountCount":0,"companyId":"101","companyName":"亚信中国","costCenter":"17309","costCenterName":"CIT TD","email":"mazm@asiainfo.com","gender":"M","headIcon":"https://xinbuluo.101test.com/personheadicon/U3KM96QD6_180131165707.png","mobile":"15311415404","nickName":"奥特蛋","officeAddr":"北京","org":"CIT TD WEB-BJ","orgName":"CIT TD WEB-BJ","parentAccountId":"UZBVDKC4J","parentStaffId":"231076","parentStaffName":"张春林","personId":"217414","regionId":"01","regionName":"北京","sbu":"亚信软件CIT","sbuId":"165","signature":"远离杠精，珍爱生命","staffAccount":"mazm","staffCode":"33559","staffId":"217414","staffName":"马子萌","staffType":"Employee","username":"mazm","welStatus":false}
    }
    return (
      <Router history={this.history}>
        <Switch>
          <Route path="/uc" component={(props)=><KaraUC {...props} config={karaChatConfigs}  />} />
          <Redirect to="/uc" />
        </Switch>
      </Router>
      // <KaraUC karaChatConfigs={karaChatConfigs} />
    )
  }
}
